Bug 1917837 - JSC stress test stress/shared-array-buffer-sort-while-different-thread-is-modifying.js.default is flaky
Summary: JSC stress test stress/shared-array-buffer-sort-while-different-thread-is-mod...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: webkit2gtk3
Version: 32
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michael Catanzaro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 13:54 UTC by Michael Catanzaro
Modified: 2021-03-03 13:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-03 13:50:15 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
WebKit Project 221129 0 None None None 2021-01-29 14:30:48 UTC

Description Michael Catanzaro 2021-01-19 13:54:03 UTC
JSC stress test stress/shared-array-buffer-sort-while-different-thread-is-modifying.js.default is flaky only on ppc64le. It failed on our ppc64le CI on: Jan 19, Jan 8, Jan 5, and Dec 13 (first known failure). The error looks like this:

Running stress/shared-array-buffer-sort-while-different-thread-is-modifying.js.default
stress/shared-array-buffer-sort-while-different-thread-is-modifying.js.default: Exception: JavaScript execution terminated.
stress/shared-array-buffer-sort-while-different-thread-is-modifying.js.default: ERROR: Unexpected exit code: 1
FAIL: stress/shared-array-buffer-sort-while-different-thread-is-modifying.js.default

which doesn't tell us very much.

Comment 1 Michael Catanzaro 2021-01-27 14:57:29 UTC
(In reply to Michael Catanzaro from comment #0)
> JSC stress test
> stress/shared-array-buffer-sort-while-different-thread-is-modifying.js.
> default is flaky only on ppc64le. It failed on our ppc64le CI on: Jan 19,
> Jan 8, Jan 5, and Dec 13 (first known failure).

Well surprise, yesterday (Jan 26) it failed on s390x as well. So the bug is probably not *truly* architecture-specific.

Comment 2 Michael Catanzaro 2021-01-29 14:20:01 UTC
OK, today it failed on both s390x and x86_64. Since it's failing on x86_64, I can report this to upstream. And it's clearly not a ppc64le issue after all, so removing from PPCTracker.

Comment 3 Dan Horák 2021-01-29 14:32:10 UTC
At least a bit good news from my point of view :-) I would suspect some bad timing or depending on how much loaded the worker is (they are all VMs) ...

Comment 4 Michael Catanzaro 2021-03-03 13:50:15 UTC
Possibly fixed by https://trac.webkit.org/changeset/273779/webkit. I'll reopen if I continue seeing test failures.


Note You need to log in before you can comment on or make changes to this bug.